imports:
  - { resource: Backend/DashboardWidgets.yaml }
services:
  _defaults:
    autowire: true
    autoconfigure: true
    public: false

  WebitDe\DrbeckmannApi\:
    resource: '../Classes/*'

  WebitDe\DrbeckmannApi\Controller\AbstractApiController:
    arguments:
      $siteFinder: '@TYPO3\CMS\Core\Site\SiteFinder'

  WebitDe\DrbeckmannApi\Service\ProductApiService:
    public: true
    arguments:
      $productRepository: '@WebitDe\DrbeckmannProducts\Domain\Repository\ProductRepository'
      $importLogRepository: '@WebitDe\DrbeckmannApi\Domain\Repository\ImportLogRepository'

  WebitDe\DrbeckmannApi\Handler\ProductApiHandler:
    public: true
    arguments:
      $productRepository: '@WebitDe\DrbeckmannProducts\Domain\Repository\ProductRepository'
      $importLogRepository: '@WebitDe\DrbeckmannApi\Domain\Repository\ImportLogRepository'
      $productApiFileHandler: '@WebitDe\DrbeckmannApi\Handler\ProductApiFileHandler'
      $stepGroupRepository: '@WebitDe\DrbeckmannProducts\Domain\Repository\StepGroupRepository'
      $stepRepository: '@WebitDe\DrbeckmannProducts\Domain\Repository\StepRepository'
      $faqApiService: '@WebitDe\DrbeckmannApi\Service\FaqApiService'
      $productCategoryApiService: '@WebitDe\DrbeckmannApi\Service\ProductCategoryApiService'

  WebitDe\DrbeckmannApi\Handler\ProductApiFileHandler:
    public: true
    arguments:
      $resourceFactory: '@TYPO3\CMS\Core\Resource\ResourceFactory'
      $productApiService: '@WebitDe\DrbeckmannApi\Service\ProductApiService'
      $fileImportHandler: '@WebitDe\DrbeckmannServices\Handler\FileImportHandler'
      $referenceIndex: '@TYPO3\CMS\Core\Database\ReferenceIndex'

  WebitDe\DrbeckmannApi\Handler\ProductCategoryApiFileHandler:
    public: true
    arguments:
      $resourceFactory: '@TYPO3\CMS\Core\Resource\ResourceFactory'
      $categoryService: '@WebitDe\DrbeckmannProducts\Service\CategoryService'
      $fileImportHandler: '@WebitDe\DrbeckmannServices\Handler\FileImportHandler'
      $referenceIndex: '@TYPO3\CMS\Core\Database\ReferenceIndex'

  WebitDe\DrbeckmannApi\Service\MailService:
    public: true

  WebitDe\DrbeckmannApi\Handler\FaqApiHandler:
    public: true
    arguments:
      $faqRepository: '@WebitDe\DrbeckmannFaq\Domain\Repository\FaqRepository'
